﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AdapaySDK
{
    public class Wallet
    {
        /**
         * 获取登录信息
         *
         * @param requestParams 登录请求参数，参见 AdaPay api
         * @param merchantKey merchantKey
         * @return 跳转页面信息
         */
        public static Dictionary<string, Object> login(Dictionary<string, object> requestParams, string merchantKey)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.MEMBER_LOGIN, merchantKey);
        }

        /**
        * 获取登录信息
        *
        * @param requestParams 登录请求参数，参见 AdaPay api
        * @param merchantKey merchantKey
        * @return 跳转页面信息
        */
        public static Dictionary<string, Object> login(Dictionary<string, object> requestParams)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.MEMBER_LOGIN, null);
        }

        /**
         * 发起支付
         *
         * @param requestParams 登录请求参数，参见 AdaPay api
         * @param merchantKey merchantKey
         * @return 跳转页面信息
         */
        public static Dictionary<string, Object> pay(Dictionary<string, object> requestParams, string merchantKey)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.CREATE_PAGE_PAYMENT, merchantKey);
        }

        /**
        * 获取登录信息
        *
        * @param requestParams 登录请求参数，参见 AdaPay api
        * @param merchantKey merchantKey
        * @return 跳转页面信息
        */
        public static Dictionary<string, Object> pay(Dictionary<string, object> requestParams)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.CREATE_PAGE_PAYMENT, null);
        }

        /**
        * 创建收银台对象
        *
        * @param requestParams 创建收银台对象 AdaPay api
        * @return 收银台对象
        */
        public static Dictionary<string, Object> createCheckOut(Dictionary<string, object> requestParams)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.CREATE_CHECK_OUT, null);
        }

        /**
        * 创建收银台对象
        *
        * @param requestParams 创建收银台对象 AdaPay api
        * @param merchantKey merchantKey
        * @return 收银台对象
        */
        public static Dictionary<string, Object> createCheckOut(Dictionary<string, object> requestParams, string merchantKey)
        {

            return AdapayRequest.requestAdapayPageServer(requestParams, APIUrlEnum.CREATE_CHECK_OUT, merchantKey);
        }




    }
}
